%global upstream_name gevent

Name:           python-%{upstream_name}
Version:        1.0
Release:        1%{?dist}
Summary:        A coroutine-based Python networking library

Group:          Development/Languages
License:        MIT
URL:            http://www.gevent.org/
Source0:        http://gevent.googlecode.com/files/gevent-%{version}.tar.gz
Patch0:         %{name}-pkgconfig.patch

BuildRequires:  python-devel
BuildRequires:  libev-devel
BuildRequires:  c-ares-devel
Requires:       python-greenlet

%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup

%description
gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of libevent event loop.

Features include:

  * convenient API around greenlets
  * familiar synchronization primitives (gevent.event, gevent.queue)
  * socket module that cooperates
  * WSGI server on top of libevent-http
  * DNS requests done through libevent-dns
  * monkey patching utility to get pure Python modules to cooperate

%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1
# removing the bundled libs makes setup.py use the system versions instead
rm -r libev c-ares

%build
CFLAGS="%{optflags} -fno-strict-aliasing" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# Fix non-standard-executable-perm error
%{__chmod} 0755 %{buildroot}%{python_sitearch}/%{upstream_name}/*.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/%{upstream_name}
%{python_sitearch}/%{upstream_name}-*.egg-info

%changelog
* Thu Dec 05 2013 Dan Callaghan <dcallagh@redhat.com> - 1.0-1
- update to 1.0 final release

* Fri Oct 26 2012 Dan Callaghan <dcallagh@redhat.com> - 1.0-0.b1.el6eng.1
- patch for makefile() timeout

* Wed Jan 18 2012 Dan Callaghan <dcallagh@redhat.com> - 1.0-0.b1
- updated to 1.0b1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 24 2011 Silas Sewell <silas@sewell.org> - 0.13.6-1
- Update to 0.13.6

* Wed Feb 16 2011 Silas Sewell <silas@sewell.ch> - 0.13.3-1
- Update to 0.13.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 09 2010 Silas Sewell <silas@sewell.ch> - 0.13.1-1
- Update to 0.13.1

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 14 2010 Silas Sewell <silas@sewell.ch> - 0.13.0-1
- Update to 0.13.0

* Fri Apr 23 2010 Silas Sewell <silas@sewell.ch> - 0.12.2-2
- Remove setuptools requirement

* Wed Mar 17 2010 Silas Sewell <silas@sewell.ch> - 0.12.2-1
- Initial build
